# $Revision: 1.9 $, $Date: 2004/05/09 05:31:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	Snowball-Swedish
Summary:	Lingua::Stem::Snowball::Se - Porter's stemming algorithm for Sweedish
Summary(pl):	Lingua::Stem::Snowball::Se - algorytm Portera okrelajcy rdzenie sw dla jzyka szwedzkiego
Name:		perl-Lingua-Stem-Snowball-Se
Version:	1.01
Release:	3
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	59c1b9f82422e27846e2e50db2f8a9a7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The stem function takes a scalar as a parameter and stems the word
according to Martin Porter's Swedish stemming algorithm, which can be
found at the Snowball website: http://snowball.tartarus.org/.

%description -l pl
Funkcja okrelajca rdzenie sw pobiera skalarny parametr i korzysta
z algorytmu dla jzyka szwedzkiego autorstwa Martina Portera.
Algorytm ten mona znale na stronie Snowballa:
http://snowball.tartarus.org/.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install stemmer.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Lingua/Stem/Snowball/*.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Stem-Snowball-Se.spec,v $
Revision 1.9  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.6  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.5  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/14 23:52:48  ankry
- should be ready for perl-5.8
- rel. 2

Revision 1.1  2003/04/13 19:57:30  ankry
- new, for ra
